summaryrefslogtreecommitdiff
path: root/sync
diff options
context:
space:
mode:
Diffstat (limited to 'sync')
-rw-r--r--sync24
1 files changed, 24 insertions, 0 deletions
diff --git a/sync b/sync
new file mode 100644
index 0000000..e48f813
--- /dev/null
+++ b/sync
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Скрипт для PUSH commit
+
+set -e
+
+echo "============================"
+stat=$(git status | grep "modified")
+if [[ -n $stat ]]
+then
+echo "GIT synhronization."
+read -p "Input COMMIT: " text
+echo "============================"
+git add .
+git commit -m "$text"
+echo "============================"
+git push
+echo "============================"
+git log --oneline -5
+echo "============================"
+else
+echo "Изменений нет !"
+echo "============================"
+fi \ No newline at end of file